<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Fri Jul 03 01:46:42 IDT 2020 -->
<title>GitHubSearchController</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-07-03">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GitHubSearchController";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.hadassah.demo.controllers</a></div>
<h2 title="Class GitHubSearchController" class="title">Class GitHubSearchController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.hadassah.demo.controllers.GitHubSearchController</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>@Controller
public class <span class="typeNameLabel">GitHubSearchController</span>
extends java.lang.Object</pre>
<div class="block">Controller that handles search operations</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../repos/GitHubUserRepo.html" title="interface in com.hadassah.demo.repos">GitHubUserRepo</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#gitHubUserRepo">gitHubUserRepo</a></span></code></th>
<td class="colLast">
<div class="block">the object that manages the DB of <a href="../repos/GitHubUser.html" title="class in com.hadassah.demo.repos"><code>GitHubUser</code></a> objects</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#search_api">search_api</a></span></code></th>
<td class="colLast">
<div class="block">constant to hold string format of the URI to github api</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">GitHubSearchController</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#processUser(com.hadassah.demo.repos.GitHubUser,org.springframework.ui.Model)">processUser</a></span>&#8203;(<a href="../repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a>&nbsp;user,
           org.springframework.ui.Model&nbsp;model)</code></th>
<td class="colLast">
<div class="block">increment an existing user in the DB or add a new one to the DB</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#renderSearch(org.springframework.ui.Model)">renderSearch</a></span>&#8203;(org.springframework.ui.Model&nbsp;model)</code></th>
<td class="colLast">
<div class="block">get request for "/" route.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#search(com.hadassah.demo.repos.GitHubUser,org.springframework.validation.BindingResult,org.springframework.ui.Model,org.springframework.web.client.RestTemplate)">search</a></span>&#8203;(@Valid <a href="../repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a>&nbsp;user,
      org.springframework.validation.BindingResult&nbsp;result,
      org.springframework.ui.Model&nbsp;model,
      org.springframework.web.client.RestTemplate&nbsp;restTemplate)</code></th>
<td class="colLast">
<div class="block">post handler for main page.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="search_api">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>search_api</h4>
<pre>final&nbsp;java.lang.String search_api</pre>
<div class="block">constant to hold string format of the URI to github api</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.hadassah.demo.controllers.GitHubSearchController.search_api">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="gitHubUserRepo">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>gitHubUserRepo</h4>
<pre>@Autowired
private&nbsp;<a href="../repos/GitHubUserRepo.html" title="interface in com.hadassah.demo.repos">GitHubUserRepo</a> gitHubUserRepo</pre>
<div class="block">the object that manages the DB of <a href="../repos/GitHubUser.html" title="class in com.hadassah.demo.repos"><code>GitHubUser</code></a> objects</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GitHubSearchController</h4>
<pre>public&nbsp;GitHubSearchController()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="renderSearch(org.springframework.ui.Model)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>renderSearch</h4>
<pre class="methodSignature">@GetMapping("/")
public&nbsp;java.lang.String&nbsp;renderSearch&#8203;(org.springframework.ui.Model&nbsp;model)</pre>
<div class="block">get request for "/" route.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>model</code> - , to add the <a href="../repos/GitHubUser.html" title="class in com.hadassah.demo.repos"><code>GitHubUser</code></a> into the view</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>"search.html" view</dd>
</dl>
</li>
</ul>
<a id="search(com.hadassah.demo.repos.GitHubUser,org.springframework.validation.BindingResult,org.springframework.ui.Model,org.springframework.web.client.RestTemplate)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>search</h4>
<pre class="methodSignature">@PostMapping("/")
public&nbsp;java.lang.String&nbsp;search&#8203;(@Valid
                               @Valid <a href="../repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a>&nbsp;user,
                               org.springframework.validation.BindingResult&nbsp;result,
                               org.springframework.ui.Model&nbsp;model,
                               org.springframework.web.client.RestTemplate&nbsp;restTemplate)</pre>
<div class="block">post handler for main page.
 come here when search is initiated. here we will add, update the DB</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - gitub user entity created from form.</dd>
<dd><code>result</code> - to validate the <a href="../repos/GitHubUser.html" title="class in com.hadassah.demo.repos"><code>GitHubUser</code></a></dd>
<dd><code>model</code> - to render the search page again</dd>
<dd><code>restTemplate</code> - to build the object from the api</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>search view</dd>
</dl>
</li>
</ul>
<a id="processUser(com.hadassah.demo.repos.GitHubUser,org.springframework.ui.Model)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>processUser</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;processUser&#8203;(<a href="../repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a>&nbsp;user,
                         org.springframework.ui.Model&nbsp;model)</pre>
<div class="block">increment an existing user in the DB or add a new one to the DB</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - the user received from form + api</dd>
<dd><code>model</code> - to render back the search view with the results</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
